Bug 208141 - 8390 lockdep/BUG
8390 lockdep/BUG
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andy Gospodarek
Brian Brock
bzcl34nup
:
Depends On:
Blocks: FCMETA_LOCKDEP
  Show dependency treegraph
 
Reported: 2006-09-26 12:42 EDT by Philip Ashmore
Modified: 2014-06-29 18:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:25:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/messages (325.71 KB, text/plain)
2006-09-28 12:32 EDT, Philip Ashmore
no flags Details

  None (edit)
Description Philip Ashmore 2006-09-26 12:42:46 EDT
Description of problem:
When installing FC6 test 3 before the graphical part of the installation
process, parts of the displayed text gets overritten by garbage - mostly the
bottom part.

Version-Release number of selected component (if applicable):
Anaconda

How reproducible:
1 out of 1 times

Steps to Reproduce:
1. PXE boot FC6 test 3
2. Try to read as much/quickly as possible before display gets overwritten by
garbage
  
Actual results:
n/a

Expected results:
n/a

Additional info:
If you've done a few installs you can piece together what should be displayed in
order to continue.
Once the graphical part of the install commences, it's ok.
Comment 1 Jeremy Katz 2006-09-27 14:53:07 EDT
This is a kernel oops -- can you switch to tty2 afterwards and grab /tmp/syslog?
Comment 2 Philip Ashmore 2006-09-28 12:32:48 EDT
Created attachment 137324 [details]
/var/log/messages
Comment 3 Philip Ashmore 2006-09-28 12:37:53 EDT
I had to swap hard disks between my two laptops to install this via PXE on a
spare partition, I then swapped them back again - I can't do that again.
I've attached my current /var/log/messages above in the hope that you can
determine the problem from that - I know I saw one kernel problem there.
Feel free to query/post bug reports based on any other problems you spot in this
log.
Comment 4 Dave Jones 2006-09-28 17:48:44 EDT
Two separate problems here, both a BUG(), and a lockdep trace.
Comment 5 John W. Linville 2006-09-29 11:25:44 EDT
The lockdep issue should be cured in 2.6.18.
Comment 6 Andy Gospodarek 2006-10-27 18:39:35 EDT
The BUG looks to be a mdelay in irg context....
Comment 7 Andy Gospodarek 2006-10-30 16:41:00 EST
and in irq context
Comment 8 Andy Gospodarek 2007-02-01 15:17:45 EST
The warning printed as a result of the mdelay in an irq context isn't critical.
 Are you still seeing both of these problems with the latest fc6 kernel or just
the BUG warning?
Comment 9 Philip Ashmore 2007-02-02 08:15:17 EST
This was an installation problem with FC6 test 3 (see above) via PXE.

On a seperate install I attempted to use an update repository but the graphical
messages seemed to indicate that the FC6 core RPMS were the ones being installed.
The installation didn't complete so I had to go back to
1. Install base system - FC6 release 
2. yum -y update with a locally mirrored updates repository
Comment 10 Bug Zapper 2008-04-03 23:51:45 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Bug Zapper 2008-05-06 12:25:08 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.